## libapache-mod-dtcl 0.7.3-2

=== Makefile ===
# $Id: Makefile,v 1.10.2.5 2000/03/03 15:20:10 davidw Exp $

## This originally was from the apache module makefile thing You may
## have to diddle with this yourself, unless you use the built in
## Apache config tools

# If you link against Tcl like so: "-ltcl", leave this blank.
TCL_VERSION=8.2

OPTIM=-O3
CC=gcc
CFLAGS_SHLIB=-fpic -DSHARED_MODULE
LDFLAGS_SHLIB=-Bshareable
CFLAGS1= -Wall -DLINUX=2 -DSTATUS -DNO_DBM_REWRITEMAP -DUSE_HSREGEX -fpic -DSHARED_CORE
MFLAGS_STATIC=--no-print-directory

CFLAGS=$(OPTIM) $(CFLAGS1) $(EXTRA_CFLAGS)
# You must change the following line unless you have the Debian apache-dev package
INCLUDES=-I/usr/include/apache-1.3/
LDFLAGS=$(LDFLAGS1) $(EXTRA_LDFLAGS)
INCDIR=$(SRCDIR)/include
SHLIBS= mod_dtcl.so
SHLIBS_OBJ= mod_dtcl-so.o

all: lib shlib

other: all txt testdtcl # code2html <<<< Put this in if you want pretty HTML'ized sources.

lib:	$(LIB)

shlib:	$(SHLIBS)


.SUFFIXES: .o .so

.c.o:
	$(CC) -g -c $(INCLUDES) $(CFLAGS) $(SPACER) $<

.c.so:
	$(CC) -g -c $(INCLUDES) $(CFLAGS) $(CFLAGS_SHLIB) $(SPACER)  $< && mv $*.o $*-so.o
	$(LD) $(LDFLAGS_SHLIB) -o $@ $*-so.o -ltcl$(TCL_VERSION)

clean: txtclean
	rm -f $(SHLIBS) $(SHLIBS_OBJ) $(LIB) $(SHLIB)
	-rm testdtcl

testdtcl: testdtcl.c
	$(CC) -g -o testdtcl -O3 testdtcl.c -ltcl$(TCL_VERSION) -DDEBUG_SCRIPT_DIR=\"$(DEBUG_SCRIPT_DIR)\"

txtclean:
	-rm readme.txt INSTALL.txt dtcl-tcl.txt use.txt

txt: readme.txt INSTALL.txt dtcl-tcl.txt use.txt TODO.txt

readme.txt: readme.html
	lynx  -dump readme.html > readme.txt

INSTALL.txt: INSTALL.html
	lynx  -dump INSTALL.html > INSTALL.txt

dtcl-tcl.txt: dtcl-tcl.html
	lynx  -dump dtcl-tcl.html > dtcl-tcl.txt

use.txt: use.html
	lynx  -dump use.html > use.txt

TODO.txt: TODO.html
	lynx -dump TODO.html > TODO.txt

# Need to be running under X for this to work!
code2html: font-lock-stuff.el
	if [ -n "$$DISPLAY" ] ; then emacs -r -l font-lock-stuff.el -f flscreate --kill ; fi

code2htmlclean:
	emacs -r -l font-lock-stuff.el -f flsclean -kill

=== debian/changelog ===
libapache-mod-dtcl (0.7.3-2) frozen unstable; urgency=low

  * Removed "code2html" target from build target.  
  * Fixes #58431.

 -- David N. Welton <davidw@efn.org>  Fri,  3 Mar 2000 13:11:23 +0100

libapache-mod-dtcl (0.7.3-1) frozen unstable; urgency=low

  * Fixes GET argument parsing bug.
  * Changed argument parsing to create one list and avoid sublists.

 -- David N. Welton <davidw@efn.org>  Sat, 22 Jan 2000 20:46:34 -0800

libapache-mod-dtcl (0.7.0-2) unstable; urgency=low

  * Made hputs, include, and buffer_add commands safe for binary and
    sparse data.
  
  * Now able to output different mime types.

 -- David N. Welton <davidw@efn.org>  Sat, 18 Dec 1999 18:50:29 -0800

libapache-mod-dtcl (0.7.0-1) unstable; urgency=low

  * Major overhaul of header and buffering system.
  * Several new commands.

 -- David N. Welton <davidw@efn.org>  Sun,  5 Dec 1999 21:24:23 -0800

libapache-mod-dtcl (0.6.4-2) unstable; urgency=low

  * Fixed Lintian problems:
  * Set and remove links between /usr/doc and /usr/share/doc.
  * Added dh_installchangelogs.
  
 -- David N. Welton <davidw@efn.org>  Sun, 14 Nov 1999 15:15:51 -0800

libapache-mod-dtcl (0.6.4-1) unstable; urgency=low

  * Patch from Jan Nijtman to compile mod_dtcl under windows and eliminate
    strings.h.  Included windows/ directory in sources.

 -- David N. Welton <davidw@efn.org>  Sat,  6 Nov 1999 09:54:34 -0800

libapache-mod-dtcl (0.6.3-1) unstable; urgency=low

  * Fixed small bug in variable decoding (Patrick Diamond).

 -- David N. Welton <davidw@efn.org>  Mon, 18 Oct 1999 07:27:49 -0700

libapache-mod-dtcl (0.6.2-1) unstable; urgency=low

  * Added Patrick Diamond's fix for remnant namespaces.
  * Simplified handling of list CGI variables (thanks to Andrew N. Nefedkin)

 -- David N. Welton <davidw@efn.org>  Fri, 13 Aug 1999 21:23:52 -0700

libapache-mod-dtcl (0.6.1-2) unstable; urgency=low

  * Now, "examples.ttml?a=1&a=2&a=3" creates a Tcl list, instead of
   overwriting 'a' with the last value.

 -- David N. Welton <davidw@efn.org>  Tue,  3 Aug 1999 23:49:44 -0700

libapache-mod-dtcl (0.6.0-1) unstable; urgency=low

  * Created Parse Tcl command, to enable parsing of ttml files from
   within scripts.

  * Changed to Apache alloc commands in parseargs.

  * Fixed bug in GET variable handling (http://somesite/foo.ttml?foo
   now works).

  * Added child_init and child_exit handlers and directives.

 -- David N. Welton <davidw@efn.org>  Thu, 29 Jul 1999 20:54:23 -0700

libapache-mod-dtcl (0.5.4-1) unstable; urgency=low

  * Fixed bug in POST code.

 -- David N. Welton <davidw@efn.org>  Mon, 14 Jun 1999 22:39:08 -0700

libapache-mod-dtcl (0.5.3-1) unstable; urgency=low

  * Fixed problem with POST data.
  * Integrated Patrick Diamond's new HGetVars.c.

 -- David N. Welton <davidw@efn.org>  Tue,  8 Jun 1999 23:55:40 -0700

libapache-mod-dtcl (0.5.2-1) unstable; urgency=low

  * Small fix from Paolo Brutti - change 'c' to char in parser.

 -- David N. Welton <davidw@efn.org>  Wed, 21 Apr 1999 20:12:44 -0700

libapache-mod-dtcl (0.5.1-1) unstable; urgency=low

  * cacheSize defaults to ap_max_requests_per_child / 2.

 -- David N. Welton <davidw@efn.org>  Tue, 20 Apr 1999 12:27:18 -0700

libapache-mod-dtcl (0.5.0-1) unstable; urgency=low

  * Added "testdtcl", for static testing of ttml pages.
  * Added new Tcl command "dtcl_info", which prints some info about the
  internal state.
  * Added "Dtcl_CacheSize" global configuration.
  * Changed "GlobalScript" to "Dtcl_GlobalScript".
  * Added Paolo Brutti's changes, which include:
  * More complete use of Tcl objects.
  * Caching system.  This does not cache the results of the scripts, just
  the Tcl objects resulting from reading the files in and parsing them.
  * Use of ap_ commands to manage memory.
  * The Include command is implemented with Tcl_ file interface, which
  improves both portability an error messaging.
  * All "wrong args" are implemented with the standard Tcl_WrongNumArgs call.
  * Thanks Paolo!
	
 -- David N. Welton <davidw@efn.org>  Sun, 14 Mar 1999 14:47:03 -0800

libapache-mod-dtcl (0.4.6-1) unstable; urgency=low

  * Added 'setcookie' command.
  * Dramatic improvements to dtcl-mode.el, allowing you to automatically
  switch between TCL and HTML modes!
  * Initiated switch to Tcl 'objects'.
  * Beginings of a user manual in use.html.
	
 -- David N. Welton <davidw@efn.org>  Sun, 14 Mar 1999 14:47:03 -0800

libapache-mod-dtcl (0.4.5-1) unstable; urgency=low

  * Changed 'cgi.tcl' to 'dtcl.tcl', and added Rolf Ade's improvements.
  * Added documentation page for dtcl.tcl.
  * Updated documentation.

 -- David N. Welton <davidw@efn.org>  Wed, 24 Feb 1999 23:33:20 -0800

libapache-mod-dtcl (0.4.4-1) unstable; urgency=low

  * Fixed minor bugs in POST code.
  * Added dtcl-mode.el.
  * Documentation changes: updates, and explanation of how to compile
    mod_dtcl as a static module.
  * Added 'Configure' help to mod_dtcl.c
  * Added Rolf Ade's preliminary cgi.tcl.  Please note that this is
    *alpha* software.

 -- David N. Welton <davidw@efn.org>  Sat, 20 Feb 1999 12:51:51 -0800

libapache-mod-dtcl (0.4.3-1) unstable; urgency=low

  * Fixed pointer bug in ptchar and ptstr.

 -- David N. Welton <davidw@efn.org>  Wed,  3 Feb 1999 21:00:02 -0800

libapache-mod-dtcl (0.4.2-1) unstable; urgency=low

  * Changes in documentation, added several files, including 'INSTALL',
    benchmark.html, and several others.
  * Fixed handling of <Directory> Options, so no changes are needed in the
    config files.

 -- David N. Welton <davidw@efn.org>  Sat, 30 Jan 1999 13:55:14 -0800

libapache-mod-dtcl (0.4.1-1) unstable; urgency=low

  * Fixed minor bugs in namespace creation.

 -- David N. Welton <davidw@efn.org>  Mon, 11 Jan 1999 22:35:20 -0800

libapache-mod-dtcl (0.4-1) unstable; urgency=low

  * Added '-error' to hputs for tcl error reporting.
  * Dispensed with new interpreter per request in favor of a new namespace
  at each request, and a global interpreter.


=== debian/control ===
Source: libapache-mod-dtcl
Section: unknown
Priority: optional
Maintainer: David N. Welton <davidw@efn.org>
Standards-Version: 2.5.0

Package: libapache-mod-dtcl
Architecture: any
Depends: ${shlibs:Depends}, apache-common (>= 1.3.6)
Description: Allows the use of Tcl as a server parsed language, similar to PHP.
 Permits the use of Tcl as a server-side scripting language, tightly
 integrated with HTML, similar to PHP.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.
# $Id: rules,v 1.10 1999/11/14 23:21:19 davidw Exp $

package=libapache-mod-dtcl

build:
	$(checkdir)
	make other DEBUG_SCRIPT_DIR="/usr/lib/mod_dtcl/"
	make CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	cp mod_dtcl.so debian/tmp/usr/lib/apache/1.3/
	cp debian/400mod_dtcl.info debian/tmp/usr/lib/apache/1.3/
	cp infodebug.tcl debian/tmp/usr/lib/mod_dtcl/
	cp testdtcl.tcl debian/tmp/usr/lib/mod_dtcl/
	cp testdtcl debian/tmp/usr/bin/
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	dh_installdocs *.html *.ttml INSTALL.txt use.txt readme.txt dtcl-tcl.txt dtcl.tcl two-mode-mode.el dtcl.gif
	dh_installchangelogs
	dh_installmanpages
	dh_movefiles
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_makeshlibs
	dh_md5sums
	dh_builddeb
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## libapache-mod-dtcl 0.11.7-1

=== Makefile ===
# $Id: Makefile,v 1.18 2001/09/05 12:01:22 davidw Exp $

# Changed to use the Tcl variables from tclConfig.sh

# You may have to change these if 'builddtcl.sh' and 'findconfig.tcl'
# don't work.

# You must change the following line unless you have the Debian
# apache-dev package

INC=$(INCLUDES) -I$(TCL_PREFIX)/include

STATICLIB=mod_dtcl.a
SHLIB=mod_dtcl$(TCL_SHLIB_SUFFIX)

APREQ_OBJECTS=apache_cookie.o apache_multipart_buffer.o apache_request.o
OBJECTS=mod_dtcl.o tcl_commands.o parser.o channel.o $(APREQ_OBJECTS)

# The following TCL_* variables are all exported from builddtcl.sh

COMPILE=$(TCL_CC) $(TCL_CFLAGS_DEBUG) $(TCL_CFLAGS_OPTIMIZE) $(TCL_CFLAGS_WARNING) $(TCL_SHLIB_CFLAGS) -c $(INC) $(CFLAGS) $(TCL_EXTRA_CFLAGS) $(EXTRA_FLAGS) $<

all: builddtcl_test shared

static: $(OBJECTS) docs/documentation.html
	$(TCL_STLIB_LD) $(STATICLIB) $(OBJECTS) 

shared: $(OBJECTS) docs/documentation.html
	$(TCL_SHLIB_LD) -o $(SHLIB) $(OBJECTS) $(TCL_LIB_SPEC) $(TCL_LIBS)

# I don't have too many C files, so it's just clearer to do things by
# hand

apache_cookie.o: apache_cookie.c apache_cookie.h
	$(COMPILE)
apache_multipart_buffer.o: apache_multipart_buffer.c apache_multipart_buffer.h
	$(COMPILE)
apache_request.o: apache_request.c apache_request.h
	$(COMPILE)
mod_dtcl.o: mod_dtcl.c mod_dtcl.h tcl_commands.h apache_request.h parser.h parser.h
	$(COMPILE) -DDTCL_VERSION=`cat VERSION`
tcl_commands.o: tcl_commands.c tcl_commands.h mod_dtcl.h
	$(COMPILE)
parser.o: parser.c mod_dtcl.h parser.h
	$(COMPILE)
channel.o: channel.c mod_dtcl.h channel.h
	$(COMPILE)

clean: 
	-rm -f $(STATICLIB) $(SHLIB) *.o *~ docs/documentation.txt docs/documentation.html

version: 
	./cvsversion.tcl

docs/documentation.html:
	$(TCLSH) ./docs/split.tcl docs/install.html docs/directives.html docs/commands.html docs/other.html > docs/documentation.html

docs/documentation.txt: docs/documentation.html
	if test -x `which html2text` ; then html2text ./docs/documentation.html > ./docs/documentation.txt ; else echo "You need html2text to create documentation.txt from documentation.html" ; fi

dist: clean docs/documentation.txt version
	(cd .. ; tar -czvf mod_dtcl-`cat mod_dtcl/VERSION`.tar.gz mod_dtcl/ ; )

install: static
	-mkdir $(APACHE)src/modules/mod_dtcl/
	cp $(STATICLIB) $(APACHE)src/modules/mod_dtcl/
	cp Makefile.dummy $(APACHE)src/modules/mod_dtcl/Makefile

# This forces mod_dtcl to be built with the shell script, so please
# comment it out if you need to.

.SILENT: builddtcl_test
builddtcl_test:
	if [ "$(BUILDDTCL)" != "YES" ] ; then echo "You should use builddtcl.sh to build mod_dtcl"; exit 1 ; fi

=== debian/changelog ===
libapache-mod-dtcl (0.11.7-1) unstable; urgency=low

  * mod_dtcl.c (execute_and_check): Make sure to output results of
    ErrorScript.

 -- David N. Welton <davidw@debian.org>  Thu, 18 Apr 2002 15:01:30 +0200

libapache-mod-dtcl (0.11.6-1) unstable; urgency=low

  * Fixed problem with 'var' command.  Variables with similar names
    sometimes are confused.

 -- David N. Welton <davidw@debian.org>  Wed, 13 Mar 2002 16:57:14 +0100

libapache-mod-dtcl (0.11.5-2) unstable; urgency=low

  * Fixed postinst and postrm, thanks to Jnos Holnyi <csani@lme.linux.hu>.

 -- David N. Welton <davidw@debian.org>  Mon, 19 Nov 2001 12:42:06 +0100

libapache-mod-dtcl (0.11.5-1) unstable; urgency=low

  * Check return value for ApacheRequest___parse.

 -- David N. Welton <davidw@debian.org>  Sat,  3 Nov 2001 17:38:08 +0100

libapache-mod-dtcl (0.11.4-1) unstable; urgency=low

  * Fixed bug in Parse command.

  * Added Debian SSL config stuff from Jnos Holnyi (closes: #115333)

 -- David N. Welton <davidw@debian.org>  Mon, 15 Oct 2001 20:43:40 +0200

libapache-mod-dtcl (0.11.3-1) unstable; urgency=low

  * I18n updates.

  * Fixed build scripts. (closes: #111488)

 -- David N. Welton <davidw@debian.org>  Tue,  9 Oct 2001 17:22:37 +0200

libapache-mod-dtcl (0.11.2-1) unstable; urgency=low

  * Minor updates.
  * Fixes build variables: (closes: #102200)

 -- David N. Welton <davidw@debian.org>  Thu, 30 Aug 2001 11:08:17 +0200

libapache-mod-dtcl (0.11.1-1) unstable; urgency=low

  * Fixed VARS variable, documentation updates.

  * Fixed build variables: (closes: #102208)

 --

-- David N. Welton <davidw@debian.org>  Fri, 27 Jul 2001 13:52:10 +0200

libapache-mod-dtcl (0.11.0-1) unstable; urgency=low

  * New variable command 'var'.

 -- David N. Welton <davidw@debian.org>  Sat,  2 Jun 2001 19:18:30 +0200

libapache-mod-dtcl (0.10.1-0) unstable; urgency=low

  * Fixed file upload bug.

  * Added ErrorScript directive.

  * Update docs.

 -- David N. Welton <davidw@debian.org>  Tue,  1 May 2001 18:17:08 +0200

libapache-mod-dtcl (0.9.3-3) unstable; urgency=low

  * Upgraded apreq* stuff to deal with file uploads directly to apache
    variable.

  * UPLOAD variables can now be lists.

  * Switched syntax to <? ?>.

 -- David N. Welton <davidw@debian.org>  Tue, 20 Mar 2001 20:17:29 +0100

libapache-mod-dtcl (0.9.3-2) unstable; urgency=low

  * Added build depends.

  * Closes #85787.

  * Closes #87251.

 -- David N. Welton <davidw@debian.org>  Mon, 26 Feb 2001 14:01:34 +0100

libapache-mod-dtcl (0.9.3-1) unstable; urgency=low

  * New version.

  * Cleaned up Debian build stuff, (Fixes #66402).

 -- David N. Welton <davidw@prosa.it>  Fri, 16 Feb 2001 14:11:55 +0100

libapache-mod-dtcl (0.9.0-1) unstable; urgency=low

  * New version.

  * Started using apreq code for file uploads and other stuff.

  * Documentation changes.

 -- David N. Welton <davidw@debian.org>  Mon, 12 Feb 2001 19:52:59 +0100

libapache-mod-dtcl (0.8.12-1) unstable; urgency=low

  * Various cookie fixes.

  * New build system.

 -- David N. Welton <davidw@prosa.it>  Sun,  5 Nov 2000 23:48:11 +0100

libapache-mod-dtcl (0.8.8-2) unstable; urgency=low

  * Code to deal with before/after scripts.

  * Rewrite of Apache directives.

 -- David N. Welton <davidw@linuxcare.com>  Tue, 26 Sep 2000 17:59:57 +0200

libapache-mod-dtcl (0.8.1-1) unstable; urgency=low

  * Put some code in as a workaround for systems with Tcl compiled against
    threads.

 -- David N. Welton <davidw@efn.org>  Thu, 22 Jun 2000 01:42:26 +0200

libapache-mod-dtcl (0.8.0-1) unstable; urgency=low

  * Added information about building on HPUX.
  * Added support for .tcl files.
  * Fixed bug in HGetVars which manifests itself only when content
    negotiation is used.
  * Updated documentation.

 -- David N. Welton <davidw@efn.org>  Tue, 16 May 2000 19:00:05 +0200

libapache-mod-dtcl (0.7.5-1) unstable; urgency=low

  * Changed hputs to use "" instead of {}, so that { and } may be escaped
    with backslashes.

  * Changed output format for errors.

 -- David N. Welton <davidw@efn.org>  Wed, 19 Apr 2000 17:49:47 +0200

=== debian/control ===
Source: libapache-mod-dtcl
Build-Depends: tcl8.3-dev, apache-dev, debhelper
Section: web
Priority: optional
Maintainer: David N. Welton <davidw@debian.org>
Standards-Version: 3.5.4.0

Package: libapache-mod-dtcl
Architecture: any
Depends: ${shlibs:Depends}, apache-common (>= 1.3.6)
Description: Server side Tcl scripting for Apache
 The mod_dtcl Apache module enables the use of Tcl as an HTML-embedded
 scripting language, similar to PHP. It is fast, light, and lets you
 use the extensive code base of existing Tcl code, on the web.

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,15 @@
 #!/usr/bin/make -f
 # Made with the aid of debmake, by Christoph Lameter,
 # based on the sample debian/rules file for GNU hello by Ian Jackson.
-# $Id: rules,v 1.10 1999/11/14 23:21:19 davidw Exp $
+# $Id: rules,v 1.8 2001/10/09 15:29:47 davidw Exp $
+
+TCL_VERSION=8.3
 
 package=libapache-mod-dtcl
 
 build:
 	$(checkdir)
-	make other DEBUG_SCRIPT_DIR="/usr/lib/mod_dtcl/"
-	make CFLAGS="-O2 -g -Wall"
+	( export C_INCLUDE_PATH=/usr/include/tcl$(TCL_VERSION)/ ; APACHE=/ ./builddtcl.sh EXTRA_FLAGS=-DEAPI )
 	touch build
 
 clean:
@@ -31,12 +32,7 @@
 	cd debian/tmp && install -d `cat ../dirs`
 	cp mod_dtcl.so debian/tmp/usr/lib/apache/1.3/
 	cp debian/400mod_dtcl.info debian/tmp/usr/lib/apache/1.3/
-	cp infodebug.tcl debian/tmp/usr/lib/mod_dtcl/
-	cp testdtcl.tcl debian/tmp/usr/lib/mod_dtcl/
-	cp testdtcl debian/tmp/usr/bin/
-# Must have debmake installed for this to work. Otherwise please copy
-# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
-	dh_installdocs *.html *.ttml INSTALL.txt use.txt readme.txt dtcl-tcl.txt dtcl.tcl two-mode-mode.el dtcl.gif
+	dh_installdocs docs/ contrib/
 	dh_installchangelogs
 	dh_installmanpages
 	dh_movefiles

## libapache-mod-dtcl 1.0.1-2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.18 2001/09/05 12:01:22 davidw Exp $
+# $Id: Makefile,v 1.19 2002/11/05 00:33:04 davidw Exp $
 
 # Changed to use the Tcl variables from tclConfig.sh
 
@@ -23,10 +23,10 @@
 all: builddtcl_test shared
 
 static: $(OBJECTS) docs/documentation.html
-	$(TCL_STLIB_LD) $(STATICLIB) $(OBJECTS) 
+	$(TCL_STLIB_LD) $(STATICLIB) $(OBJECTS)
 
 shared: $(OBJECTS) docs/documentation.html
-	$(TCL_SHLIB_LD) -o $(SHLIB) $(OBJECTS) $(TCL_LIB_SPEC) $(TCL_LIBS)
+	$(TCL_SHLIB_LD) $(TCL_SHLIB_CFLAGS) -o $(SHLIB) $(OBJECTS) $(TCL_LIB_SPEC) $(TCL_LIBS)
 
 # I don't have too many C files, so it's just clearer to do things by
 # hand
@@ -46,10 +46,10 @@
 channel.o: channel.c mod_dtcl.h channel.h
 	$(COMPILE)
 
-clean: 
+clean:
 	-rm -f $(STATICLIB) $(SHLIB) *.o *~ docs/documentation.txt docs/documentation.html
 
-version: 
+version:
 	./cvsversion.tcl
 
 docs/documentation.html:

=== debian/changelog ===
libapache-mod-dtcl (1.0.1-2) unstable; urgency=low

  * Make sure postrm script works properly.

 -- David N. Welton <davidw@debian.org>  Tue, 19 Aug 2003 10:10:43 +0200

libapache-mod-dtcl (1.0.1-1) unstable; urgency=low

  * Made file upload stuff work on windows, thanks to Holger Zeinert.

 -- David N. Welton <davidw@debian.org>  Tue,  7 Jan 2003 14:18:02 -0800

libapache-mod-dtcl (1.0.0-1) unstable; urgency=low

  * Cleanup after HEAD requests.

  * Make changes necessary for Tcl 8.4 compatibility.

  * Update to latest httpd-apreq code.

 -- David N. Welton <davidw@debian.org>  Mon,  4 Nov 2002 17:05:14 -0800

libapache-mod-dtcl (0.12.1-1) unstable; urgency=low

   * tcl_commands.c (HGetVars): Don't call ap_clear_table, as it can
     interfere with other modules, like mod_unique_id.

 -- David N. Welton <davidw@debian.org>  Wed, 11 Sep 2002 18:17:15 -0700

libapache-mod-dtcl (0.12.0-1) unstable; urgency=low

  * New array for client header information - CLIENT_ENVS.  ENVS variables
    could be overwritten by client headers, presenting a possible security
    risk.

 -- David N. Welton <davidw@debian.org>  Wed, 26 Jun 2002 15:03:04 +0200

libapache-mod-dtcl (0.11.8-1) unstable; urgency=low

  * Make sure to check the correct variable names with 'list' and
    'exists. as well.

 -- David N. Welton <davidw@debian.org>  Fri,  3 May 2002 16:04:51 +0200

=== debian/control ===
Source: libapache-mod-dtcl
Build-Depends: tcl8.3-dev, apache-dev, debhelper
Section: web
Priority: optional
Maintainer: David N. Welton <davidw@debian.org>
Standards-Version: 3.6

Package: libapache-mod-dtcl
Architecture: any
Recommends: rivet
Depends: ${shlibs:Depends}, apache-common (>= 1.3.6)
Description: Server side Tcl scripting for Apache
 The mod_dtcl Apache module enables the use of Tcl as an HTML-embedded
 scripting language, similar to PHP. It is fast, light, and lets you
 use the extensive code base of existing Tcl code, on the web.  You
 should consider upgrading to Rivet.
